Changes between 1.99d and 1.99e:

Only one new feature, this week. POSTCOMP.EXE is a little separate program which
will let you put something from a text file (if you specify its name as a
parameter) or from the clipboard (if you say "clipboard" as a parameter), into
the PRM Compose window or directly into the send queue, while PRM is not
running. If you want to send it directly into the send queue, then the text file
or the clipboard contents must include header lines such as:
To: prmbeta@ibm.net
From: me@thisplace.com
Subject: This is about some subject or another

==========

Here are the bug fixes and partial ones that have been done since 1.99d:

==========

APAR: 209  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99a   ENTERED:06/14/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Kari
DESCRIPTION:Break function during refresh (after PRM started dialer) caused the
status line to stop but did not cause the action to stop. That's been fixed, but
in the Preview Host window in 1.99d, still get "Another process is currently
executing" after Preview followed by Break followed by anything Preview-related
until closing PRM. $$pvwt$$.$$$ file is left behind and remains "in use" until
PRM is closed.

APAR: 245  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99a   ENTERED:06/17/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Ranan Samanya
DESCRIPTION:Can't see more than 75 lines of network log, or 113 lines, and it
also has problems with repeating groups of lines! NETWORK.LOG file is fine, but
view window huffs it.

APAR: 258  OPEN?:N  PRIORITY:b1     TYPE:bug     FOUND:1.99a   ENTERED:06/17/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:various
DESCRIPTION:Replies don't update the big red counter when started via the open
note view window's menus. See also APARs #397 and #274.

APAR: 274  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99a   ENTERED:06/18/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Kari
DESCRIPTION:Replied notes don't get the checkmark icon, when reply is started
via the open note view window. See also APARs #258 and 397. (The problem of the
printed notes not saying "Printed" has been moved to APAR #498, since it's not
related.)

APAR: 278  OPEN?:N  PRIORITY:b3     TYPE:bug     FOUND:1.99a   ENTERED:06/18/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:various
DESCRIPTION:Incoming note "overlays" another (visually) in inbasket. When click
on it, new one disappears, leaving only the old one. Sorting the inbasket made
them both visible. John Carlson and Joe LoCicero.

APAR: 286  OPEN?:N  PRIORITY:b1     TYPE:bug     FOUND:1.99a   ENTERED:06/19/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:various
DESCRIPTION:PRM sees any message which contains certain variations of
Content-Type: text lines anywhere, as an attachment. And all notes that have any
Content-Type: line at all say "resolving MIME attachments" in the status line
during download even though they contain nothing that has anything to do with
MIME. In 7/5/96 code, Metamail is only called if a Content-Type: line is
followed by the word "boundary", and in 1.99e that search will stop if a blank
line after the subject line is encountered. So even the Content-Type: lines in
headers in forwarded or Mailer-Daemon-returned notes, if they're even halfway
properly formatted, won't trigger Metamail. (All internet email is supposed to
have a blank line somewhere after the subject line, and that blank line is the
division between header and body. Very few mailers would dare to break that
rule, but if there are any, they will still cause this problem.)

APAR: 291  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99a   ENTERED:06/19/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Kari
DESCRIPTION:"Error 255 executing MIME program d:\dir\metamail.exe. Please ensure
the MAILCAP file is present." Keith Campbell pointed out that the MAILCAPS and
METAMAIL_TMPDIR environment variables both need to be set and only MAILCAPS was
getting set. 1.99c sets both, but that doesn't help the problem. The fact that
Keith didn't get the error when he set the variables manually must have been
only a coincidence. Doug Elerath says the error goes away when he removes the
MIME$$ directory, but the error happens here all the time without a MIME$$
directory present. I've sent Ken some of the original-format .POP files which
cause the problem.

APAR: 348  OPEN?:N  PRIORITY:b1     TYPE:bug     FOUND:1.99b   ENTERED:06/25/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:various
DESCRIPTION:On HPFS drives, CHKDSK did not like the FLDRNAME.FIL files. On first
run, CHKDSK would "correct an allocation error", and on second run, it deleted
them. The only harm that comes to the program is that folders suddenly lose
their titles, and use their directory names as titles instead. Everyone with PRM
folders on an HPFS drive, created by 1.99a or 1.99b, will want to run CHKDSK /F
(after booting from OS/2 floppies) twice to take care of this and then put their
folder titles back (using the List of Folders' Change Folder Title menu option).
Awfully sorry about that! Folders created under PRM 1.99c or later do not have
this problem. And folders in 1.99e don't even have FLDRNAME.FIL files anymore at
all, since we finally found out how to get EAs onto a directory. The first time
the program tries to find a folder's name, if the FLDRNAME.FIL file exists, the
program gets the EA from there and puts it into the directory instead and
deletes the FLDRNAME.FIL file.

APAR: 365  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99b   ENTERED:06/26/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Ranan Samanya
DESCRIPTION:Create folder "test" with directory "F:\TEST\PRM199\1234567890".
Doesn't matter whether you create the directory first, or let PRM do it. Change
folder name menu item shows directory as "F:\TEST\PRM199\1234567890test". The
program cannot delete nor remove the folder. It reports no error messages, and
the folder disappears from the list, but the directory still remains and
selecting Refresh list shows that the folder is still there. Restarting the
program does not help. Deleting the directory from the command line does not
even help. All that does is cause the folder to start being named "1234567890"
instead of "test" (because fldrname.fil was deleted when the directory was
removed), with a directory name of "F:\TEST\PRM199\12345678901234567890". The
folder name in the list can be selected, but not dragged with the mouse, because
OS/2 knows that there isn't really an object there to drag. If you drop another
folder onto it, OS/2 says Path not found. Trying to create a folder using a
directory name that's exactly 9 characters long, the OK button appears to be
ignored--after the directory is created, the dialog remains. Cancel works fine.
Ken has expanded the space in memory for holding folder names, to 100 bytes.

APAR: 382  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99b   ENTERED:06/28/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:David Beierl
DESCRIPTION:Any time he hits OK from the Compose window, PRM slows to a crawl
until he reboots. Have him use PSTAT to find out how many PRM threads are
running before and after this problem occurs. Also, the routine that closes the
Compose window has been greatly revamped since 1.99c, so this problem may be
gone. Yes, he says it's all better now.

APAR: 397  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99b   ENTERED:06/17/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Ranan Samanya
DESCRIPTION:'Send notes immediately, if connected' setting isn't working. Only
on replies that were started via the open note view window. See also APARs #274
and #258.

APAR: 402  OPEN?:N  PRIORITY:b3     TYPE:bug     FOUND:1.99c   ENTERED:07/01/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Edward Stangler
DESCRIPTION:When "use existing connection" and there's no connection and you hit
Refresh button, PRM says "can't connect; try again?" If you say No, the Refresh
button becomes enabled but the status line still thinks it's refreshing until
you hit Break.

APAR: 425  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99d   ENTERED:07/03/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Chuck
DESCRIPTION:Search engine, selecting folders doesn't work right. When you turn
off Select All Folders, they all stay selected anyway. You have to deselect them
all individually (or use Ctrl-Shift-mouse). (Clicking does not work. Only
Ctrl-click will deselect.)

APAR: 436  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99c   ENTERED:07/05/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:John Enderle
DESCRIPTION:Paste a 506-character (or longer) stretch of text from DeScribe into
Compose window (which of course comes in as one long line without carriage
returns and doesn't get wrapped), and send it without reformatting it. Upon
sending it will crash immediately after status line says "Transferring (1) note"
every time. SYS3175 in EPOTCPIP.DLL. A 501-character line of text appears to go
just fine, except for one little thing. The line of text is missing from the
message in the receiver's inbasket, and from the .POP file in the outbound PPO
directory. It is in the .POP file in the SNDNOTES directory. A 496-character
string of text works with no problems.

APAR: 439  OPEN?:N  PRIORITY:b3     TYPE:bug     FOUND:1.99c   ENTERED:07/05/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Brian Morrison
DESCRIPTION:Paste several one-long-line paragraphs of text into compose window.
Instead of using Format options, format paragraphs by inserting a space near the
right edge of the window, in the top line of a paragraph. (This causes the
entire paragraph to wrap perfectly.) Each time Brian does it, the third
paragraph causes a SYS3175 and a SYS3171, one in PMCTLS and the other in
DOSCALL1. For me, it's the fourth paragraph, and it's a SYS3171 in COMPOSE.DLL.

APAR: 454  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99a   ENTERED:07/06/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Kari
DESCRIPTION:If you specify a directory name when creating an inbasket, PRM is
not able to remove the inbasket later. It acts like it does so, but the inbasket
is still there on the File menu. If you close the program and remove the
directory manually, inbasket.nix still lists it, but upon restarting the
program, inbasket.nix gets fixed.

APAR: 455  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99c   ENTERED:07/07/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Kari
DESCRIPTION:$$comp$$.pop gets left in inbasket directory consistently after
using Ctrl-E and cancelling out of the Compose window.

APAR: 458  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Tom Springall
DESCRIPTION:If save draft with CC: line, then open the draft, the CC: line is in
the signature block, which is then saved as the default signature if the user
doesn't have a default saved signature block.

APAR: 467  OPEN?:N  PRIORITY:b3     TYPE:bug     FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Tom Springall
DESCRIPTION:Forwarding a note should not produce the "Reply to All" dialog.

APAR: 475  OPEN?:N  PRIORITY:b1     TYPE:bug     FOUND:1.99c   ENTERED:07/08/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:John LeMayo
DESCRIPTION:Start a long print job, then start a reply, the Compose window comes
up, but doesn't get filled in with the addressee and subject, and the Quote
button is disabled. When the print job finished, the Compose window did all the
stuff it should have done at the beginning of the reply, which of course wiped
out all that he had typed, and the quoting wasn't even done properly even though
it was finally done. When I tried this, my Compose window didn't even open until
the print job finished, and then it had the addressee, but was missing its "***
Reply to" header. But at home, and the next time I tried to reproduce it at
work, it worked perfectly. Rik Steenwinkel has had blank replies (to open folder
notes) on 1.99a through 1.99c, but they didn't involve printing. He says it's
fixed in 1.99d, but nothing's been changed. See also APAR #334 and 277. The
thread which fills in the reply information had too low priority/delta, and is
much better in 1.99e. Rik probably just had something running before which was
taking too much processor time away from the lower-priority thread, and no
longer has that thing running, so assumed that 1.99d was what fixed it.

APAR: 483  OPEN?:N  PRIORITY:b3     TYPE:bug     FOUND:1.99d   ENTERED:07/08/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Brian Morrison
DESCRIPTION:/Q switch is ignored with /S, if there is outbound mail. Worked fine
in 1.99c without Send immediately if connected, but doesn't work in 1.99d with
Send immediately if connected. In my testing, I find that Send immediately if
connected doesn't matter, nor does the presence or absence of outbound mail. For
me, if there's outbound mail, it gets sent. If not, I get message box "No notes
were found in send queue" which I must click OK on even though this is supposed
to be a batch process. Either way, program does not exit. If I switch to a
different inbasket, the program exits! /Q with /R doesn't exit either, until I
switch inbaskets or recycle the current one.

APAR: 490  OPEN?:N  PRIORITY:b2     TYPE:bug     FOUND:1.99c   ENTERED:07/09/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Tom Springall
DESCRIPTION:With immediate delete and no confirmation. Drag a note from the
inbasket to a folder in the List of Folders window. Before the inbasket is
redrawn, click on another note in the inbasket. The note you moved is copied
instead, and the note that gets deleted is the one you've clicked on.

APAR:  15  OPEN?:N  PRIORITY:b1     TYPE:design  FOUND:1.03a   ENTERED:05/23/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Kari
DESCRIPTION:When you have a crash while deleting a lot of notes from the
inbasket, then restart the program, all the notes you'd deleted since the last
time you'd recycled the inbasket (by selecting its name from the file menu)
return to the inbasket and you have to find and delete them again. This is
because the [inbasket].NDX file isn't updated until the inbasket gets closed (by
closing the program or by opening another inbasket)....Fixed! In 1.99, there is
no [inbasket].NDX file and all data is saved right away instead of upon closing
the inbasket....No, NOT fixed! The list of notes to be deleted is stored in
memory until the inbasket is closed. In order for this to work as we've been
telling people it would work, the attribute of being marked for deletion needs
to be stored in each note's EAs immediately upon marking it for deletion. Then
if there's a crash and you restart PRM, the notes are still marked for deletion.
This is fixed in 1.99d, but there's a new problem! When they're moved to the
shredder, they're still marked for deletion, which means the next time you open
and close the shred queue folder, they get deleted from there too! Fixed.

APAR: 198  OPEN?:N  PRIORITY:b2     TYPE:design  FOUND:1.99    ENTERED:06/14/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Kari
DESCRIPTION:'Suppress distribution list' feature isn't implemented yet. I don't
know when this was fixed, but it's been a while. I just didn't know it.

APAR: 324  OPEN?:N  PRIORITY:b2     TYPE:design  FOUND:1.99b   ENTERED:06/24/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Bruce Kitchin
DESCRIPTION:An outbound note without a subject heading appears to PRM as if it
had not been created in the Compose window, doesn't have "Edit in Compose
Window" on its popup menu (greyed out), though that menu item is still available
from the Notes menu, and when selected, the program claims that it can't be
edited because the note was not created in the Compose Window. This is because
PRM was basing its idea of outbound-ness on the presence of a subject tag. Since
the internet standards say that subject-less messages are not allowed anyway,
and so many programs have trouble with them, we've decided to insert the string
"No Subject" into the subject line whenever a user tries to write a subject-less
message. Now Tom Springall says that there are list servers that won't work
without a blank subject line. (Internet "standards" are not always adhered to,
as we well know!) In ODN (a Delphi-specific offline reader), he could get around
the problem by using a single space as the subject. ODN would then not think
that the subject line was empty, and would not insert "No Subject" into the
line. We have done this, also.

APAR: 414  OPEN?:N  PRIORITY:b3     TYPE:design  FOUND:1.99c   ENTERED:07/03/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:various
DESCRIPTION:PRM doesn't always beep anymore, after send and receive. Turns out,
Ken didn't know we wanted it to beep except after sending, and after
acknowledgements. (Which explains why it happened sometimes after refresh but
not always.) 1.99e beeps after downloading anything, too.

APAR: 453  OPEN?:N  PRIORITY:b2     TYPE:design  FOUND:1.99a   ENTERED:07/06/96
LATEST FOUND:        EXPECT FIX:        FIXED:1.99e   SUBMIT BY:Kari
DESCRIPTION:Change menu item from Glue mode to Glued mode. Save Glued mode
compose window positions separately from non-Glued mode ones, so that title bar
won't open off the top of the screen when returning from glued mode.

APAR: 500  OPEN?:Y  PRIORITY:b1     TYPE:bug     FOUND:1.99d   ENTERED:07/10/96
LATEST FOUND:1.99e   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Kari
DESCRIPTION:Upon returning from Ctrl-E (or menu) viewing of an attachment,
Attachments container does not have focus so that I can hit DEL key, and worse
yet, after returning to view note window and going to the next note, Attachments
menu is not greyed out so it looks like I have attachments to all the notes I
look at from then on, even though APAR #286 is fixed. The latter problem is
fixed in 1.99e. The former is intermittent.

APAR: 507  OPEN?:Y  PRIORITY:b1     TYPE:bug     FOUND:1.99d   ENTERED:07/11/96
LATEST FOUND:1.99e   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Chuck
DESCRIPTION:If close PRM while a folder is open which has notes marked for
deletion, SYS3175 in FOLDER.DLL. That's fixed in 1.99e, but it still LOOKS bad:
The part of the folder that's outside the outline of the inbasket window, closes
right away, but the inbasket window remains, and doesn't repaint, so the part of
the folder that was inside that area stays visible the whole time until the
files are deleted and the program finishes closing.

APAR: 498  OPEN?:Y  PRIORITY:b3     TYPE:bug     FOUND:1.99a   ENTERED:07/09/96
LATEST FOUND:1.99e   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Kari
DESCRIPTION:Printed notes don't say "Printed" at right side of inbasket. In
1.99e, they do, if they're printed via the inbasket menu, but not via the note
view window's menu.

APAR:  78  OPEN?:Y  PRIORITY:b2     TYPE:design  FOUND:1.05    ENTERED:06/03/96
LATEST FOUND:1.99e   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Rik Steenwinkel
DESCRIPTION:Multiple TO addresses on one line separated by commas are seen as
one address (same for cc and bcc). Also, Majordomo listserv notes have both
From: and Sender:, and PRM ignores the Sender: line. That is fixed in 1.99d.
Need to see second and subsequent lines of TO: headers as described in APAR
#312. Need to understand address@isp.com (First Last) as well as First Last
<address@isp.com>. And ignore duplicates. Done in 1.99e. Still need to see
second and subsequent lines of CC:'s in distribution list.

APAR: 312  OPEN?:Y  PRIORITY:b2     TYPE:design  FOUND:1.99a   ENTERED:06/21/96
LATEST FOUND:1.99e   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Jerry Powell
DESCRIPTION:We've been convinced that we must comply with the competing mail
programs which do not follow the preferred method specified in the RFCs, and use
the single TO: and CC: headers with multiple addresses wrapped, indented, and
commaed, which is the non-preferred method in the RFCs. The TO: is done in
1.99e. Also, since we no longer have more than one TO: line, is there any reason
to continue doing POP and PPO with one address per note instead of having the
"ravelled" TO: line there too?

APAR: 332  OPEN?:Y  PRIORITY:b2     TYPE:design  FOUND:1.99b   ENTERED:06/25/96
LATEST FOUND:1.99e   EXPECT FIX:2.1     FIXED:        SUBMIT BY:Voytek Eymont
DESCRIPTION:When previewing the host for new mail, if there is none, there's a
message box to tell you so, and you have to click on OK. Not only is this very
inconvenient, especially for an information-only message (as opposed to some
kind of important warning), but if you do not OK that message box before trying
to switch to a different inbasket or close the program, the program hangs the
input queue. The same applies to the message box you get after downloading
release.txt. See also APAR #178. In 1.99e, the message box mentioned involving
Preview has been changed to the timeout message box, so that the input queue
hang lasts only 15 seconds, but when the timeout occurs and the inbasket is
recycled, SYS3175 in EPOTCPIP. Better to crash PRM than hang the whole system!

APAR: 218  OPEN?:Y  PRIORITY:w2     TYPE:design  FOUND:1.99a   ENTERED:06/16/96
LATEST FOUND:1.99e   EXPECT FIX:2.X     FIXED:        SUBMIT BY:Kari
DESCRIPTION:There is no menu option to move or copy a note from a folder to
anywhere. In 1.99b, there is a menu option "Move note to a folder", but no copy,
and still no inbasket destination. These things can be done via drag and drop so
they should be do-able via menu options also. Copy to folder is done in 1.99e.

APAR: 401  OPEN?:Y  PRIORITY:b3     TYPE:design  FOUND:1.99a   ENTERED:07/01/96
LATEST FOUND:1.99e   EXPECT FIX:        FIXED:        SUBMIT BY:David Beierl
DESCRIPTION:Start a refresh, then start downloading release.txt. PRM hangs up
the modem when it's done with the refresh, even though it's in the middle of
downloading. Then, even after cancelling the download, PRM leaves the
do$$$wn.$ld temp file open so that it can't be deleted, nor can it be
overwritten the next time you try to complete the download. In 1.99e, the
aborted temp file is not left open, so it can be deleted or overwritten, but the
program still doesn't delete it as it should.

APAR: 124  OPEN?:Y  PRIORITY:dscus  TYPE:design  FOUND:1.05    ENTERED:06/07/96
LATEST FOUND:1.99e   EXPECT FIX:        FIXED:        SUBMIT BY:David Boettger
DESCRIPTION:Need to be able to sort folders. In 1.99, you can't even rearrange
them via drag and drop anymore. In 1.05, you did that by dropping one folder on
another to move it next to that folder. But now, in 1.99, dropping one folder
onto another is the way to make the dropped one become a subfolder of the one it
was dropped onto! In 1.99e, folders are displayed in alphabetical order. That's
better than it was, anyway. And we'll continue to think about how we might
improve the situation.

APAR: 331  OPEN?:Y  PRIORITY:dscus  TYPE:design  FOUND:1.99a   ENTERED:06/25/96
LATEST FOUND:1.99e   EXPECT FIX:        FIXED:        SUBMIT BY:various
DESCRIPTION:People are very unhappy with the way the List of Folders and Select
a Folder windows are always re-counting their contents. Every time you open it,
create a new folder, file a note to a folder, etc., etc. It takes a long time,
when there are a lot of folders with a lot of notes in them! Fixed in 1.99d, for
functions other than opening the windows. Opening the windows still makes them
re-count. Now in 1.99e, the Select a Folder window will not count the notes
anymore at all, since there's very rarely a need to know that information in
that context, so the problem will now be ONLY in opening the List of Folders. We
will continue thinking about how to fix this for 2.1.

APAR: 231  OPEN?:Y  PRIORITY:fix    TYPE:design  FOUND:1.99a   ENTERED:06/17/96
LATEST FOUND:1.99e   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Kari
DESCRIPTION:Need to add Print Queued Notes to the inbasket's File menu, and that
and the Print Queue folder's "Print all folder notes" menu option should ask,
when done, whether or not to delete the notes from the Print Queue. The latter
is done in 1.99e.

APAR: 441  OPEN?:Y  PRIORITY:fix    TYPE:bug     FOUND:1.99d   ENTERED:07/05/96
LATEST FOUND:1.99e   EXPECT FIX:        FIXED:        SUBMIT BY:Kari
DESCRIPTION:Edited note in outbasket, and PRM left behind the old version in a
file named $$data$$.pop. Can't reproduce, but it happened to Ranan also, back in
the days when the old version wasn't being overwritten by the new one (APAR
#288). Happened to Tom Springall, too, apparently. See also APAR #219. 1.99e
does a workaround by not sending that particular filename, so both copies of the
note will not go to the addressee, but we still must find the cause of the temp
file getting left behind.

APAR: 400  OPEN?:Y  PRIORITY:help   TYPE:help    FOUND:1.99a   ENTERED:07/01/96
LATEST FOUND:1.99e   EXPECT FIX:1.99    FIXED:        SUBMIT BY:Edward Stangler
DESCRIPTION:Need to be able to pass parameters (such as -Q -T 8) to the Web
Explorer. Web Explorer startup parameters setting added to Misc page of settings
notebook. Document. User can also include an executable filename such as
EXPLORE2.EXE (must include ".EXE") to run an alternate version of the Web
Explorer (such as the secure one).

APAR: 444  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99c   ENTERED:07/05/96
LATEST FOUND:1.99e   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:unknown
DESCRIPTION:HTTP references with quotation marks, parentheses, period at end of
sentence, comma, question mark, colon are being passed as URLs to Web Explorer.
Need to get rid of those punctuation marks first. The first three are fixed.

APAR: 430  OPEN?:Y  PRIORITY:help   TYPE:help    FOUND:1.99a   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:1.99    FIXED:        SUBMIT BY:David Beierl
DESCRIPTION:When there are so many TO: lines in the header that the subject or
from address are past line 50 of the .POP file, they don't show in the inbasket.
And when the first blank line after the subject heading does not fall within the
first 50 lines, the note view window shows the header whether it's configured to
do so or not. Ken has expanded the limit to 100. Document the limit, and the
fact of the "first blank line past the subject line".

==========

New unfixed APARs added since release of 1.99d:

==========

APAR: 427  OPEN?:Y  PRIORITY:fix    TYPE:bug     FOUND:1.99d   ENTERED:07/04/96
LATEST FOUND:1.99e   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Kari
DESCRIPTION:Upon leaving the Compose window, the view note window or inbasket
window receives focus right away, but when the hard drive stops, that window
loses focus again. What receives focus is sometimes nothing at all, sometimes
the inbasket window (when it was the note view window), and sometimes another
application entirely (usually next in line in the window list). This began with
the final released version of 1.99d, but didn't happen on the system at work
until the second day of using it. Has happened every time at home, and every
time at work since it started, and has been reported by other users. Also,
probably related, if PRM is maximized when OK to Send is hit, then PRM
unmaximizes at the same moment the focus changes (when the hard drive stops;
which I assume is when the close-compose-window thread ends). Seems to be fixed
at work, but I think I did see it one time. As bad as ever, at home.

APAR: 428  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99c   ENTERED:07/04/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Kari
DESCRIPTION:Create new inbasket dialog still has "..." button instead of the new
"Find" button, for selecting a folder. Same for creating new folder.

APAR: 429  OPEN?:Y  PRIORITY:b2     TYPE:design  FOUND:1.99d   ENTERED:07/04/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Kari
DESCRIPTION:Deleting a note from a Search engine results folder deletes the .POP
file but doesn't remove the entry from the inbasket view.

APAR: 431  OPEN?:Y  PRIORITY:b2     TYPE:bug     FOUND:1.99d   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Kari
DESCRIPTION:When you create a folder via the Select A Folder window, the List of
Folders window (if open) doesn't get updated until you refresh the list or close
and open it.

APAR: 432  OPEN?:Y  PRIORITY:b3     TYPE:design  FOUND:1.99c   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:David Beierl
DESCRIPTION:In inbasket, view note window's title bar is the From name and the
date and time.  The same is true of folder notes when you arrive at them via the
next/previous mouse buttons or the Ctrl-PageUp/Dn keys from viewing another
note. But when opening a note directly from the folder container, the title bar
contains the Subject line instead.

APAR: 433  OPEN?:Y  PRIORITY:b3     TYPE:bug     FOUND:1.99c   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:David Beierl
DESCRIPTION:Strangely written From names/addresses don't show up right in
inbasket and folder views. "Theophan (Craig) Petipren"
<76672.250@COMPUSERVE.COM> shows with no name and with "Theophan as the address.
"Steve Hayes by way of Minos Orphanides <minos@zenon.logos.cy.net>"
<hayesstw@RISC1.UNISA.AC.ZA> shows with no name and with "Steve Hayes by way of
Minos Orphanides as the address on David's system, and with "Steve Hayes by way
of Minos Orphanides as the from name and the first internet address as the
address on my system. Priest David Moser
<moserd{DHWTOWERS/REG41/moserd}@DHW.STATE.ID.US> works fine on my system but on
David's, from name is blank and address is Priest David Moser.

APAR: 434  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99d   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Kari
DESCRIPTION:DEL and Ctrl-D don't work in List of Folders window, even though
arrow keys do (so the problem is not about focus).

APAR: 435  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99d   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Kari
DESCRIPTION:The triangle button on the action pad is too low, compared to the
LaunchPad button beside it. And the buttons at the bottom of the Compose header
window are taller than the "matching" ones on the text window.

APAR: 437  OPEN?:Y  PRIORITY:w2     TYPE:design  FOUND:1.99a   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Kari
DESCRIPTION:The Word Wrap feature (in the File menu) modifies the .POP file, so
it's permanent (dangerous). And it can't work on notes in the send queue or
notes that have been sent.

APAR: 438  OPEN?:Y  PRIORITY:b3     TYPE:design  FOUND:1.99c   ENTERED:07/05/96
LATEST FOUND:1.99c   EXPECT FIX:        FIXED:        SUBMIT BY:George Clark
DESCRIPTION:Received a note with 4 uuencoded attachments. PRM handled only the
first one. Eudora and uudecode (by rvanney@ibm.net) both handled all 4.

APAR: 440  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99c   ENTERED:07/05/96
LATEST FOUND:1.99c   EXPECT FIX:        FIXED:        SUBMIT BY:Ted Miller
DESCRIPTION:If you hit Reply, then start typing subject line (fast!) before PRM
inserts the note's subject line, it gets placed into the subject field over top
of what you've typed. I can't beat the program to the subject line to reproduce
this, but Ted says that when he typed a longer subject line than the one the
note already had, he ended up with the note's subject followed by the tail end
of what he'd typed. As if the program had typed the subject in there with Insert
off.

APAR: 442  OPEN?:Y  PRIORITY:nit    TYPE:design  FOUND:1.99a   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Gregory Mobley
DESCRIPTION:F1 does not bring online help.

APAR: 445  OPEN?:Y  PRIORITY:w1     TYPE:wish    FOUND:1.99c   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Theo Kopetzky
DESCRIPTION:Should be able to drag folder from List of Folders and drop it on
the icon for "File note to" in the Compose window. Because when the List of
Folders window is already open, it's ridiculous to have to wait for the Select a
Folder window to be built in order to select one!

APAR: 446  OPEN?:Y  PRIORITY:b2     TYPE:design  FOUND:1.99c   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Theo Kopetzky
DESCRIPTION:Clicking on a window with the right mouse button (to start a drag)
should not bring the window to the foreground.

APAR: 447  OPEN?:Y  PRIORITY:b2     TYPE:video   FOUND:1.99a   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:various
DESCRIPTION:PRM just doesn't work well at 1280x1024 and various other video
resolutions. Words don't fit on the buttons and settings notebook tabs. I don't
know what we could do about it, and I certainly don't know why it isn't
something that PM (OS/2) handles all by itself, but at any rate, it's a problem.

APAR: 448  OPEN?:Y  PRIORITY:find   TYPE:design  FOUND:1.99a   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:various
DESCRIPTION:Settings notebook needs to be redesigned. It is not at all obvious
what page one should look on in order to find a certain option. Perhaps fewer
tabs, and more pages per tab, would make more sense.

APAR: 449  OPEN?:Y  PRIORITY:b2     TYPE:design  FOUND:1.99a   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Vincent Goulet
DESCRIPTION:PRM doesn't use default color scheme. My settings notebook has blue
text on white tabs, and gray page background, even though my scheme is much
different from that. Dialog boxes are some gray, some white, regardless of what
user's system-wide default is supposed to be. Fonts are also part of the default
color scheme. The view window's menus don't use the system default menu font.

APAR: 450  OPEN?:Y  PRIORITY:find   TYPE:design  FOUND:1.99a   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Vincent Goulet
DESCRIPTION:Popup menus need logical order, and separator bars.

APAR: 451  OPEN?:Y  PRIORITY:fix    TYPE:design  FOUND:1.99a   ENTERED:07/05/96
LATEST FOUND:1.99e   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Vincent Goulet
DESCRIPTION:Find window (Ctrl-I) needs a title. In 1.99e, the title is "Find
window". Shouldn't "window" be removed?

APAR: 452  OPEN?:Y  PRIORITY:w2     TYPE:design  FOUND:1.99a   ENTERED:07/05/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Vincent Goulet
DESCRIPTION:The Triangle button. What's the triangle for? The window has too
many colors, and looks like a dumping ground for options. What if those options
were instead accessible from right mouse button on status line or something?

APAR: 456  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:A really long FROM name on a note in the inbasket overlaps the date
and time, such that neither is visible.

APAR: 457  OPEN?:Y  PRIORITY:nit    TYPE:design  FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Thomas Koschate
DESCRIPTION:In File menu, current inbasket should have checkmark next to it.

APAR: 459  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:If open draft while Compose window is already dirty, confirmation
prompt comes twice. Once before you select the draft to open, and once after.

APAR: 460  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:Create new inbasket while there is not a current inbasket, and PRM
will still ask whether to use current inbasket's settings.

APAR: 461  OPEN?:Y  PRIORITY:nit    TYPE:text    FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:In Compose text window, Windows menu says Header window but button
says Headers (plural). There is only one header in a note, and only one header
window.

APAR: 462  OPEN?:Y  PRIORITY:w2     TYPE:wish    FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:Should be able to use Ctrl-E from the inbasket to open a Compose
window using the external editor, instead of having to Compose first and then
wait and then Ctrl-E. Some people want external editor to come every time,
whether they specify it or not. Perhaps a setting?

APAR: 463  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.05    ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:Tab characters are printed as little circles instead of turning into
spaces.

APAR: 464  OPEN?:Y  PRIORITY:w1     TYPE:wish    FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:2.1     FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:From field and Reply-to field should work the same way. Users do not
understand why they're different. If we're going to overhaul the settings
notebook anyway, we should just provide a FROM NAME field, a FROM ADDRESS field,
a REPLY-TO NAME field, and a REPLY-TO ADDRESS field. Or at least, a FROM field
and a REPLY-TO field with an example (like the example internet address when you
create an inbasket) so that people know they can put both a name and an address
there. Most people don't know that.

APAR: 466  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:Page number on printout is too far to the right, gets shaved off.
And what happened to the nice font that used to be used for the printout header?

APAR: 468  OPEN?:Y  PRIORITY:w1     TYPE:design  FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:various
DESCRIPTION:Users are most unhappy about the change from the quick submenu to
the slow, cumbersome List of Folders, when selecting folder to file, copy, or
move a note to. Even Tom Springall, with 38 folders, says the old way was much
faster. Besides, a menu item is automatically voice-enabled. The Select a Folder
window isn't.

APAR: 470  OPEN?:Y  PRIORITY:w2     TYPE:design  FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:It is common to read a reply on a ListServ before you've seen the
note to which it was a reply, because of the fact that sorting the inbasket by
date puts them in order of time by number, regardless of time zone. 1:00 Pacific
time is later, not earlier, than 2:00 Eastern time. It may be a pain in the neck
to handle this properly, but PMMail does it.

APAR: 471  OPEN?:Y  PRIORITY:nit    TYPE:design  FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:2.1     FIXED:        SUBMIT BY:Kari
DESCRIPTION:When printing notes from outbasket or sent note folder, can we print
just the third and subsequent characters of each of the lines that start with
the control tags, so that people stop telling me that the control tags are bugs?

APAR: 472  OPEN?:Y  PRIORITY:nit    TYPE:text    FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Tom Gries
DESCRIPTION:The word Discard on the menu of Attachments container should be
Delete. Confirmation message box, too.

APAR: 473  OPEN?:Y  PRIORITY:b3     TYPE:bug     FOUND:1.99a   ENTERED:07/07/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Gries
DESCRIPTION:Print Queued Notes button on the triangle window does nothing. See
also APAR #452.

APAR: 474  OPEN?:Y  PRIORITY:find   TYPE:bug     FOUND:1.99c   ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Alex Chapman
DESCRIPTION:Sometimes exiting PRM leaves a POSTROAD.EXE process running without
a window. Alex says it can't be terminated, but when I've seen it, PMPatrol had
no trouble closing it. But the point is, it shouldn't have been there at all.
Rik Steenwinkel has it too; FM/2 can't kill it, and .DLLs are open so older
version of PRM can't be used without rebooting.

APAR: 476  OPEN?:Y  PRIORITY:nit    TYPE:design  FOUND:1.99a   ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Gries
DESCRIPTION:Subject line needs to be able to handle 160 characters, to be used
for mid-Europe's SMS (short message service), a kind of cellular paging system
or something.

APAR: 477  OPEN?:Y  PRIORITY:nit    TYPE:design  FOUND:1.99a   ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Doug Hicken
DESCRIPTION:Make UNZIP.EXE, instead of PKUNZIP.EXE, the default unzip program in
the settings notebook.

APAR: 478  OPEN?:Y  PRIORITY:b3     TYPE:instal  FOUND:1.05    ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:2.0     FIXED:        SUBMIT BY:Dan
DESCRIPTION:Upon installation, PRM spits out a Welcome letter into the inbasket.
The text of the letter is stored inside an executable file somewhere, so that we
can't get it customized without a recompile. This needs to be a separate text
file instead.

APAR: 479  OPEN?:Y  PRIORITY:nit    TYPE:design  FOUND:1.99a   ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Laurence Coakley
DESCRIPTION:"Downloading an internet file" dialog box needs to go behind the
inbasket, or needs a minimize button, or both.

APAR: 480  OPEN?:Y  PRIORITY:w1     TYPE:install FOUND:1.99a   ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:2.0     FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:Migrate needs to be able to migrate folders from the current
directory, and delete the source files as it goes along (after explaining to the
user how important it is for him to have a backup), so that people don't have to
have 30 megs of free hard drive space in order to install PRM 2.0 if they have
30 megs of folders from PRM 1.X.

APAR: 481  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99a   ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Don Meyer
DESCRIPTION:"View internet file queue" window doesn't close via ESC.

APAR: 482  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99a   ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Brian Morrison
DESCRIPTION:Queue for printing options on opened folder note view window menus
do not work. Options on folder container view work fine.

APAR: 484  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99a   ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:After migration, folder named Notes previously sent (not his chosen
favorite title, so it must be what it was called in the old version) has
"Composed notes" as its title bar.

APAR: 485  OPEN?:Y  PRIORITY:b3     TYPE:design  FOUND:1.99a   ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:List of threads window isn't updated when you move listed notes.

APAR: 486  OPEN?:Y  PRIORITY:b3     TYPE:design  FOUND:1.99a   ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Brian Morrison
DESCRIPTION:LAST15 list is entirely wiped out by entries from an address group.
Could we maybe put just the group name, instead of each member's name, into the
LAST15 list?

APAR: 487  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99a   ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Don Meyer
DESCRIPTION:Reply to All box is in front of Compose header window as it should
be, but the focus is on the header window's TO: field.

APAR: 488  OPEN?:Y  PRIORITY:w2     TYPE:wish    FOUND:1.99a   ENTERED:07/08/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:various
DESCRIPTION:Several people wish the folders could be in regular PRM inbasket
view rather than Alternate view. I'm sorry, we can't do this. But can we make it
possible for the Alternate view to look less cluttered or something? Spread the
lines apart, or something? Using the large icon size affects ONLY the List of
Folders.

APAR: 489  OPEN?:Y  PRIORITY:fix    TYPE:bug     FOUND:1.99d   ENTERED:07/08/96
LATEST FOUND:1.99e   EXPECT FIX:        FIXED:        SUBMIT BY:Don Meyer
DESCRIPTION:First press of Ctrl-N brings up List of Folders. But the Ctrl key is
stuck, such that hitting ESC brings up the Ctrl-ESC window list. ESC again has
no effect, because Ctrl is still stuck and the window list is already up.
Tapping Ctrl unsticks it, as is always the case when a Ctrl key gets stuck.
(This stuck shift-key business is not uncommon with multitasking operating
systems, but under OS/2 is not usually caused by PM programs.) Hitting ESC
again, then, makes the window list go away, and ESC again closes the List of
Folders but does not close the drawer icon. So the next press of Ctrl-N closes
the drawer icon instead of opening the List of Folders. This is the case even if
the action pad is turned off! The next Ctrl-N does open the List of Folders and
the whole cycle repeats itself. Using the Folders option on the Windows menu
when the drawer icon is open does nothing but close the drawer--even if the
action pad is turned off. But this way, the Ctrl key doesn't get stuck of
course. In 1.99e, the closing of the folder with ESC does close the drawer icon,
so the next menu option use or Ctrl-N use doesn't appear to do nothing at all
when the action bar is off. But now the old bug is back--the drawer gets out of
sync sometimes, so that closing the drawer icon opens the folder and vice versa.
See APAR #175.

APAR: 492  OPEN?:Y  PRIORITY:nit    TYPE:design  FOUND:1.99a   ENTERED:07/09/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Kari
DESCRIPTION:Save As from Attachments container overwrites existing files without
warning.

APAR: 493  OPEN?:Y  PRIORITY:dscus  TYPE:design  FOUND:1.99a   ENTERED:07/09/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Springall
DESCRIPTION:PRM changes the current directory all the time. The InnoVal custom
file selection dialog remembers the last directory it used even across a reboot.
Attempting to open a draft makes [inbasket]\drafts the current directory even if
no such directory existed before the user attempted to open a draft in another
directory. Opening the List of Folders changes the directory to the main
postroad directory. When using external editor, user never can tell what his
current directory might be, without checking. Says PRM should set current
directory to the inbasket directory or some location the user could expect to
always be in, each time before the external editor is started. Also, I'm just
wondering how many of our problems might be caused by the fact that we never
know what the current directory is. It's not exactly something we THINK about
during tech support calls. See also APAR #370.

APAR: 494  OPEN?:Y  PRIORITY:b3     TYPE:design  FOUND:1.99a   ENTERED:07/09/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Gries
DESCRIPTION:On popup menu of notes that have been sent, Reply and Forward and
Redirect are disabled as they should be, but on Notes pulldown menu, it's the
opposite, as if the note were an incoming one instead of a formerly-outbound
one.

APAR: 495  OPEN?:Y  PRIORITY:w2     TYPE:design  FOUND:1.99a   ENTERED:07/09/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Tom Gries
DESCRIPTION:ibmmail.com mail system puts "Additional headers" at the bottom of
the note, instead of leaving it at the top. Also inserts a divider line between
text and "Additional header". Also wraps header lines before the 80th column
(while printing or viewing). Can we do these things?

APAR: 496  OPEN?:Y  PRIORITY:w1     TYPE:design  FOUND:1.99a   ENTERED:07/09/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Kari
DESCRIPTION:Laser printers print only the first 80 characters of a line of text.
81st and successive characters of each line are lost. PRM should never send a
line longer than 80 characters to the printer, especially since user has no
control over the font size.

APAR: 497  OPEN?:Y  PRIORITY:find   TYPE:bug     FOUND:1.99a   ENTERED:06/17/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Kari
DESCRIPTION:Paste into TO: address field on Compose window does not work, while
Shift-Insert does. Why is there a difference? Better yet, explain the amazingly
ridiculous results Dan got, and mine which may have been similar but I don't
remember Dan's except the weirdness of it. The first time I try to paste into
the TO: field, it just beeps. If I put my cursor in the text window, and back
into the TO: field and paste, the pasted text goes into the text window. Cursor
in subject line, pasted just fine, cursor in TO: line, paste, text goes into
subject line again. Cursor in signature line, paste, text goes into TO: line.

APAR: 499  OPEN?:Y  PRIORITY:b3     TYPE:bug     FOUND:1.99a   ENTERED:07/09/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Kari
DESCRIPTION:Fldindex.nix file does not get deleted when last entry is deleted
from it.

APAR: 501  OPEN?:Y  PRIORITY:b2     TYPE:design  FOUND:1.99a   ENTERED:07/10/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Kari
DESCRIPTION:Inbasket is recycled whenever there's a bad return code from a
Refresh. That means that if I'm doing something I think should not be
interrupted by a Refresh, and Automatic Refresh kicks off and I hit Break real
quick to prevent that, my inbasket will get recycled, which is even WORSE than
doing a refresh! I'm also doing Breaks every now and then without getting a
recycle. Happened just today, in fact, on PPO.

APAR: 502  OPEN?:Y  PRIORITY:w1     TYPE:design  FOUND:1.99a   ENTERED:07/10/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Jack Spitznagel
DESCRIPTION:Setting shred queue size to 0 has no effect. When starting PRM with
one note in SHREDNTS directory, it doesn't get deleted. What shred queue size of
0 should REALLY do is just delete notes without ever even creating a SHREDNTS
directory!

APAR: 503  OPEN?:Y  PRIORITY:nit    TYPE:text    FOUND:1.99c   ENTERED:07/10/96
LATEST FOUND:1.99d   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Kari
DESCRIPTION:"Timeout error; host did not repond in 80 seconds."

APAR: 504  OPEN?:Y  PRIORITY:b2     TYPE:bug     FOUND:1.99c   ENTERED:07/10/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:David Beierl
DESCRIPTION:Status line message while opening folders, sometimes there,
sometimes not.

APAR: 505  OPEN?:Y  PRIORITY:b3     TYPE:bug     FOUND:1.99d   ENTERED:07/10/96
LATEST FOUND:1.99d   EXPECT FIX:        FIXED:        SUBMIT BY:Rik Steenwinkel
DESCRIPTION:Migrated notes, each one has its subject line repeated at the end,
preceded by characters FE 04 hex.

APAR: 506  OPEN?:Y  PRIORITY:b2     TYPE:bug     FOUND:1.99d   ENTERED:07/11/96
LATEST FOUND:1.99e   EXPECT FIX:2.1     FIXED:        SUBMIT BY:Kari
DESCRIPTION:While notes are being marked for deletion, cannot task switch.

APAR: 508  OPEN?:Y  PRIORITY:b2     TYPE:bug     FOUND:1.99e   ENTERED:07/11/96
LATEST FOUND:1.99e   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Kari
DESCRIPTION:Open note, icon opens. Recycle inbasket, note has closed icon again.
Happened on two notes, twice in a row.

APAR: 509  OPEN?:Y  PRIORITY:b3     TYPE:bug     FOUND:1.99e   ENTERED:07/11/96
LATEST FOUND:1.99e   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Kari
DESCRIPTION:During Preview notes on host, while ISP was acting very flaky, PRM
reported "Unexpected response from POP3 server; -ERR Unable to copy mail spool
file to temp.pop drop box .inbox.pop". Is that a normal POP error message? And
the message box was not one that times out.

APAR: 510  OPEN?:Y  PRIORITY:find   TYPE:bug     FOUND:1.99d   ENTERED:07/11/96
LATEST FOUND:1.99e   EXPECT FIX:        FIXED:        SUBMIT BY:Edward Stangler
DESCRIPTION:With about 70 notes in a folder, and immediate deletes and delete
confirmation turned off, select and delete all the notes. They should all turn
to X icons. Three times I've seen a mysterious message box asking "Would you
like these notes appended to your shred queue?" And I'm not sure, but I think
that it's only on the times when this message box appears (but maybe not), that
the icons get deleted instead of being turned into X icons. But anyway, if they
do turn into X icons then you can perform the rest of this experiment....close
the folder. That's what starts the notes being deleted. Wait a few seconds, so
that a good portion of the deletion is done. Now re-open the folder. The program
sees how many notes it has to load, and attempts to load them, but then it can't
find the number it's expecting because the deletion is still taking place, note
by note, in the background. SYS3175 in PMCTLS.DLL.

APAR: 511  OPEN?:Y  PRIORITY:nit    TYPE:bug     FOUND:1.99e   ENTERED:07/12/96
LATEST FOUND:1.99e   EXPECT FIX:1.99f   FIXED:        SUBMIT BY:Kari
DESCRIPTION:From note view window, Add to Address Book function leaves focus
nowhere when done. 

APAR: 512  OPEN?:Y  PRIORITY:help   TYPE:help    FOUND:1.99a   ENTERED:07/12/96
LATEST FOUND:1.99e   EXPECT FIX:1.99    FIXED:        SUBMIT BY:Kari
DESCRIPTION:I want to know what is the index.$@$ that I see sometimes in
folders. Why only sometimes?
